python 2.7 not available in Harmattan

REOPENED
Unassigned

Status

Fennec Graveyard
General
--
major
REOPENED
5 years ago
5 years ago

People

(Reporter: Maurice, Unassigned)

Tracking

Details

(Reporter)

Description

5 years ago
harmattan sdk installed . Dependecies installed . i followed the guide for building fennec on harmattan sdk and when I am at the step of building it complain for python 2.7 not found ( it's not available ) .
(Reporter)

Updated

5 years ago
Hardware: Other → ARM
As of bug 804865 python 2.7 is now required to build.
Please update your version of Python.

Comment 2

5 years ago
As Ed Morley stated, Firefox 21+ now requires Python 2.7 to build per bug 804865. Therefore, I'm marking this bug invalid.

See https://developer.mozilla.org/en-US/docs/Simple_Firefox_build for instructions on installing dependencies.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → INVALID
(Reporter)

Comment 3

5 years ago
well thanks for the reply but I followed this https://wiki.mozilla.org/How_To_Build_Fennec_on_Harmattan_SDK and python 2.7 isn't available for harmattan .

Comment 4

5 years ago
Oh, I didn't realize Harmattan is a separate environment. Hmm.

In theory, you should be able to build Python 2.7 from source and this bug is just a matter of getting the aforementioned docs up to date.

Reassigning to the Fennec team for docs triage.
Status: RESOLVED → REOPENED
Component: Build Config → General
Ever confirmed: true
Product: Firefox → Fennec
Resolution: INVALID → ---
Summary: python 2.7 → python 2.7 not available in Harmattan
Version: 18 Branch → Trunk
Meego isn't an officially supported build platform anymore. Whether the docs are out of date or not isn't particularly important.
yep, sounds like mozilla upstream cannot stuck with some python version just because some platform is not in development anymore and having old tools...
I guess harmattan doc need to be updated..
It is possible for now to build mozilla/Fennec with 2.6 pythong but not sure for how long...
right now I see 3 options for harmattan:
1) Use this patch: https://github.com/romaxa/mozilla-central/commit/42344a29d65f0fc3b9dfa97dbbb407645ad43b9d  - exclude file in the middle.
2) or make some symlink on harmattan system from 2.6->2.7 kind of cheat...
3) build 2.7 python.
You need to log in before you can comment on or make changes to this bug.